summaryrefslogtreecommitdiffstats
path: root/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild')
-rwxr-xr-xsource/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild48
1 files changed, 31 insertions, 17 deletions
diff --git a/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
index ee34726bb..a61d6f0da 100755
--- a/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
+++ b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,17 +32,25 @@
#
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
-PRGNAM=wqy-zenhei-font-ttf
+PKGNAM=wqy-zenhei-font-ttf
SRCNAM=wqy-zenhei
VERSION=${VERSION:-0.8.38}
SUB=${SUB:-1}
ARCH=noarch
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-5}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-${VERSION}_${SUB}-$ARCH-$BUILD.txz"
+ exit 0
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
SOURCE="$CWD/${SRCNAM}-${VERSION}-${SUB}.tar.bz2"
@@ -62,12 +70,13 @@ fi
mkdir -p $PKG$FONTDIR
cd $TMP
-rm -rf ${PRGNAM}-${VERSION}
+rm -rf ${PKGNAM}-${VERSION}
tar -xvf ${SOURCE} || exit 1
-mv ${SRCNAM} ${PRGNAM}-${VERSION} || exit 1
-cd ${PRGNAM}-${VERSION}
+mv ${SRCNAM} ${PKGNAM}-${VERSION} || exit 1
+cd ${PKGNAM}-${VERSION}
zcat $CWD/fixup-fontconfig-file.diff.gz | patch -p1 || exit 1
+zcat $CWD/wqy-zenhei.fix.fontconfig.warning.diff.gz | patch -p1 || exit 1
chown -R root:root .
find . \
@@ -80,17 +89,22 @@ find . \
# fonts, but it is harmless. It's probably safer to leave the cp command the
# way it is in case future versions include any ttf fonts.
# Install font:
-cp *.ttf *.ttc $PKG$FONTDIR/
+cp -a *.ttf *.ttc $PKG$FONTDIR/
+chmod 644 $PKG$FONTDIR/*
+chown root:root $PKG$FONTDIR/*
-# Add the fontconfig file and symlink.
+# Add the fontconfig file and symlink. Renaming this file to 64- to
+# avoid taking priority over the font list in 60-latin.conf.
mkdir -p $PKG/etc/fonts/conf.{d,avail}
-cp 44-wqy-zenhei.conf $PKG/etc/fonts/conf.avail/
+cp -a 44-wqy-zenhei.conf $PKG/etc/fonts/conf.avail/64-wqy-zenhei.conf
( cd $PKG/etc/fonts/conf.d && \
- ln -sf ../conf.avail/44-wqy-zenhei.conf
+ ln -sf ../conf.avail/64-wqy-zenhei.conf
)
# Two more fontconfig files which we do not activate by default:
-cp 66-wqy-zenhei-sharp.conf 66-wqy-zenhei-sharp-no13px.conf \
+cp -a 66-wqy-zenhei-sharp.conf 66-wqy-zenhei-sharp-no13px.conf \
$PKG/etc/fonts/conf.avail/
+chmod 644 $PKG/etc/fonts/conf.avail/*
+chown root:root $PKG/etc/fonts/conf.avail/*
# Add a shell script that can set the Zen Hei default display styles:
mkdir -p $PKG/usr/sbin
@@ -113,10 +127,10 @@ fi
EOT
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING ChangeLog INSTALL README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Add a package description:
@@ -125,5 +139,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}_${SUB}-${ARCH}-${BUILD}.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}_${SUB}-${ARCH}-${BUILD}.txz